# xoxys.network

[![Build Status](https://ci.rknet.org/api/badges/ansible/xoxys.network/status.svg)](https://ci.rknet.org/repos/ansible/xoxys.network)
[![License: MIT](https://img.shields.io/badge/License-MIT-blue.svg?label=license)](https://gitea.rknet.org/ansible/xoxys.network/src/branch/main/LICENSE)

Manage linux network configuration.

## Table of content

- [Requirements](#requirements)
- [Default Variables](#default-variables)
  - [network_defaultif](#network_defaultif)
  - [network_fqdn](#network_fqdn)
  - [network_hostname](#network_hostname)
  - [network_hosts_extra](#network_hosts_extra)
  - [network_interfaces](#network_interfaces)
  - [network_ipv6_enabled](#network_ipv6_enabled)
  - [network_nm_config](#network_nm_config)
  - [network_reboot_enabled](#network_reboot_enabled)
  - [network_resolve_enabled](#network_resolve_enabled)
  - [network_resolve_server](#network_resolve_server)
  - [network_restart_enabled](#network_restart_enabled)
  - [network_routes](#network_routes)
- [Dependencies](#dependencies)
- [License](#license)
- [Author](#author)

---

## Requirements

- Minimum Ansible version: `2.10`

## Default Variables

### network_defaultif

#### Default value

```YAML
network_defaultif: eth0
```

### network_fqdn

#### Default value

```YAML
network_fqdn: localdomain
```

### network_hostname

#### Default value

```YAML
network_hostname: localhost
```

### network_hosts_extra

#### Default value

```YAML
network_hosts_extra: []
```

#### Example usage

```YAML
network_hosts_extra:
  - hostname: myhost
    fqdn: myhost.rknet.org
    address: 1.2.3.4
```

### network_interfaces

#### Default value

```YAML
network_interfaces: {}
```

#### Example usage

```YAML
network_interfaces:
  eth0:
    bootproto: none
    onboot: yes
    hwaddr: "aa:bb:cc:dd:ee"
    ipaddr: 192.168.0.5
    prefix: 26
    gateway: "192.168.0.1"
    userctl: no
```

### network_ipv6_enabled

#### Default value

```YAML
network_ipv6_enabled: true
```

### network_nm_config

#### Default value

```YAML
network_nm_config: {}
```

#### Example usage

```YAML
network_nm_config:
  unmanaged: |
    [keyfile]
    unmanaged-devices=interface-name:ens*
```

### network_reboot_enabled

#### Default value

```YAML
network_reboot_enabled: true
```

### network_resolve_enabled

#### Default value

```YAML
network_resolve_enabled: false
```

### network_resolve_server

#### Default value

```YAML
network_resolve_server:
  - 8.8.8.8
```

### network_restart_enabled

#### Default value

```YAML
network_restart_enabled: true
```

### network_routes

#### Default value

```YAML
network_routes: {}
```

#### Example usage

```YAML
network_routes:
  eth0: |
    10.168.0.1/32 via 0.0.0.0 dev eth0 scope link
    10.168.0.0/27 via 10.168.0.1 dev eth0
```

## Dependencies

None.

## License

MIT

## Author

[Robert Kaussow](https://gitea.rknet.org/xoxys)
